
/*
 * Example of the definition of a module in embedded coral.
 */

#include <stdio.h>

int main(int argc, char**argv)
{
  init_coral(argv[0]);
  
  \[
    clear(interactive_mode).

    module sum3.

    export sum3[bbbf].
    export avg3[bbbf].

        sum3(A,B,C,Sum) :- Sum = A+B+C.
        avg3(A,B,C,Avg) :- sum3(A,B,C,Sum), Avg = Sum / 3.

    end_module.
  \]

  \[
    printf("The Answers:\n").
    ?sum3(1,2,3,X).
    ?sum3(5,9,16,Y).
    ?avg3(6,12,16,Z).
  \]

  exit_coral();

  return(0);
}

