#include "RdbRelation.h"


RdbRelation::RdbRelation(RdbDatabase& newDb, String& newRelName, 
			 RdbColNameList& newColNames )
: database(newDb),
  relName(newRelName),
  colNames(newColNames)
{
    assert( Arity() > 0 );
}

String RdbRelation::Schema() const
{
    String s(relName);
    int arity = Arity();
    s += String("(");
    for( int i = 0 ; i < arity ; i++ ) {
	if( i > 0 )
	  s += String(",");
	s += colNames[i];
    }
    s += String(")");
    return s;
}

