// *************************************************************************
//  CArgUtil.h - Some extra utilities until we get switched over to 
//               the new method completely.
// *************************************************************************

#ifndef   _CARG_UTIL_H
#define   _CARG_UTIL_H

class Cor_CArg;
class Cor_Relation;
class Cor_Tuple;
class Cor_BindEnv;
class Cor_ArgList;
class Cor_BindEnv;
class Cor_IntStack;
class Cor_Literal;

// *************************************************************************

void Cor_show_var_list(Cor_IntStack *varlist);
Cor_IntStack *Cor_build_var_list(Cor_Literal *pred, Cor_IntStack *var_stk);

Cor_IntStack *Cor_intersect_var_lists(Cor_IntStack *varlist1,
        Cor_IntStack *varlist2);

// *************************************************************************

int Cor_CopyArgs(Cor_ArgList *new_args, Cor_ArgList *old_args,
    Cor_BindEnv *env, int arity,
    Cor_BindEnv *dont_rename_env, Cor_BindEnv *rename_only_env = NULL);

int Cor_CopyArg(Cor_CArg& new_arg,  Cor_CArg& old_arg, Cor_BindEnv *env);

int Cor_update_grouping(Cor_Relation *rel, Cor_Tuple *old_tuple,
    Cor_ArgList *args, Cor_BindEnv *bindings);

// *************************************************************************

#endif    _CARG_UTIL_H
