#ifndef _CRDBDATABASE_H_
#define _CRDBDATABASE_H_

#include "DatabaseStruct.h"
#include "Debug.h"


class Cor_CRdbDatabase
: public Cor_DatabaseStruct
{
  public:

    Cor_CRdbDatabase(Cor_CArg& newWs_name,
		 RdbDatabase *newRdbDatabase);

    ~Cor_CRdbDatabase();

  private:

    RdbDatabase *rdbDatabase;

};


inline Cor_CRdbDatabase::Cor_CRdbDatabase(Cor_CArg& newWs_name,
				  RdbDatabase *newRdbDatabase);
: Cor_DatabaseStruct(newWs_name)
{
    rdbDatabase = newRdbDatabase;
}


inline Cor_CRdbDatabase::~Cor_CRdbDatabase()
{
    delete rdbDatabase;
}


#endif // _CRDBDATABASE_H_
