#ifndef _Coral_Config_H_
#define _Coral_Config_H_


/* CoralConfig.h

this class contains coral configuration parameters, which are read from 
.coral_config, and are not meant to be changed once coral started

*/

#define MAX_CORAL_PROMPT_LEN 40
#define CORAL_PROMPT                "ready>>"

class CoralConfig {
 public:
    char prompt[MAX_CORAL_PROMPT_LEN];        /* command line prompt */
    int server_mode;
    CoralConfig();        /* read value from the config file */
  };

#endif _Coral_Config_H_




